max.World {galgo} | R Documentation

## Returns the chromosome whose current fitness is maximum

### Description

Returns the chromosome whose current fitness is maximum.

### Usage

    ## S3 method for class 'World'
    max(.O, ...)

### Value

Returns the chromosome whose current fitness is maximum.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `World`. `*best()`. `*bestFitness()`. `*maxFitness()`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      ni <- Niche(chromosomes=newRandomCollection(cr, 10))
      ni$fitness <- runif(10)  ## tricky fitness
      ni
      wo <- World(niches=newRandomCollection(ni,2))
      refreshStats(wo)
      best(wo)
      max(wo)
      bestFitness(wo)
      maxFitness(wo)

[Package galgo version 1.4 Index]